import React from 'react';
import { Icon, Rate } from 'antd';

export default function Detail(props) {
    let value = props.formatter ? props.formatter(props.value) : props.value;
    value = parseInt(value || 0);
    if (isNaN(value)) {
        return null;
    } else {
        return <Rate disabled value={value} character={<Icon type="like" theme="filled" />} />;
    }
}
